Jump to content

Search the Community

Showing results for tags 'blocks'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 126 results

  1. I need to explode the block and move all entities to given layer. Pl. give me a LISP code.
  2. GIB39

    Blocks and multiple visibility

    Hi I'm getting back into cad and starting to develop some dynamic blocks. Can anyone give me some tips on how to do multiple visibility parameters in LT possibly using look ups. Should I be using blocks within blocks if that makes sense?. Does anyone have any ideas for creating electrical distribution boards using dynamic blocks with attributes. Your help would be much appreciated. Thanks.
  3. In Autocad 2013, when I highlight a drawing in model space and copy, then go to new drawing and paste to original coordinates, everything comes in fine except for blocks. the blocks get thrown far away from everything else. can anyone help
  4. Hello everyone, I'm facing a problem ... I have a lot of blocks in the air that need to be connected two by two with a certain polyline. I have a LISP code I've found on the net, I've modified the code, but the blocks do not fall vertically on polyline ... and I can not figure it out by doing the lisp code. I attached the dwg file and the lisp code for example ... I remain deeply grateful for helping:D Example code.dwg MY_snapToObj.lsp
  5. Hi, I have a Lisp that insert blocks, but some blocks requires a value to an attribute, and some not. So, I wrote the (command "INSERT" theBlock pt "" "" "" "") when the block requires a value attribute, its insert with nothing the last double quotes, but when the block doesn't requires a value the last double quotes calls the "HELP" windows. I have been thinking several ways to deal with it, like disable the HELP command, but the INSERT command still calling the HELP with the last commas. And verify if the block requires a attribute value before insert then, but I didn't find a way to do it. I appreciate any sugestions!
  6. I'm looking for a way to extract the X, Y and Z values from a set of selected blocks (there may be several types of blocks) and then have it export to a txt file. I'm not sure if it's possible but I'd like to have it export in the order that the blocks were placed. The format I'm looking for would be like this: x,y,z x,y,z and so on... I can do it in Microstation but would prefer an Autcad Lisp. Any help is really appreciated!!!!!
  7. I usually do extensive research before posting a question to this forum, but I have not been able to find the answer I'm looking for. I'm trying to create a lisp that asks you for a plane (getkword "X Y or Z <Y>:") Then pick a point (getpoint "\nSelect Point) Pick blocks (setq blks (ssget '((0 . "INSERT")))) Finally aligns all blocks to the selected plane. I have a Lisp that does this, except that when the blocks have attributes, the attributes stay in place and I would have to manually move them. I know that a way to do it is to select all blocks i want and go to the properties and change either the X Y or Z values, but that also seems tedious. Any help is greatly appreciated. Thanks.
  8. I am trying to adjust a block that I got from the AutoCAD Design Centre to my specific length but it would only grow / scale to its preset constraint measurements, EXAMPLE I want 2000 units but it has options of 1008 and 2016 units. Will Block Editor help me, maybe? AutoCAD 2015
  9. Dear fellow autocad users. I am working on a large project involving many different and very specific doors. The doors we are using in plan view are simple dynamic door blocks with a fiew different settings, width, hinge side and so on. What i want to do is connect the door blocks in the architectural plan drawing, to door blocks in the door elevation drawing, so that if I change the width or hinge side of a door in the plan drawning, the connected block, or block "twin" in the door elevation drawing automaticly follows. Is this possible? Best regards Daniel Berg
  10. I don't know if this is possible but have to ask. If I had an Excel spreadsheet sheet that had a list of part numbers, could I Import that into AutoCAD so that it would load premade 3d blocks where I want it to. For example I have a warehouse drawing with specific parts stored in specific locations. I have block drawings already made for each part. I have an Excel sheet with a list of part numbers. Is there a way I can import the Excel sheet and have it populate my warehouse drawing with the part drawing blocks in their perspective locations? Thanks!
  11. I need a lisp to move several blocks until they hit in a line or polyline. This line or polyline work like a boundary. Every bloks will end in the same X or Y axis. See result in a attached image. Thanks
  12. I know there's a bunch of posts on this but I could never find a lisp that could incorporate all, or multiple. lisps that can..auto run w/ ea. .dwg opened, redefine & replace multiple referenced blocks (about 10) keeping original location, & retaining attributes..w/o any prompts..I could be asking too much but any insight is greatly appreciated..I'm on hr 7 on this one..if it's easier..only one block has attributes and can make a separate lisp for that..or again if easier make a separate lisp for ea block..anything put together really that auto runs w/o prompts.. If u think I missed a post like this please let me know..again I really appreciate it
  13. sandiegophil

    help with grips and object points

    Hello, I have a file with a block made of some simple lines and arcs. When I view it on screen, the lines and arcs do not meet at common endpoints. When I edit with the grips, they grip the points correctly but the grips do not match the 'visual' endpoints. Additionally, everything plots perfectly. I have set viewres to the max value with no results. I am ending up with 'x's at the corners. What settings am I overlooking? Thanks, Phil
  14. I am pretty keen to know if it is possible to change attribute tag names using lisp (or some other strategy). I have lots of different blocks, and they all have two attributes. The tag for attribute 1 is "X", with a value of "100" The tag for attribute 2 is "Y", with a value of "200" Is is possible to change all the blocks in the drawing, such that the attribute 1 tag is renamed from "X" to "A", and the attribute 2 tag is renamed from "Y" to "B". I would like, if possible, to preserve and leave unchanged the values associated with the respective attributes, and change only the tag. So basically, once the script is done, I will still have blocks with two attributes, one with the tag "A" and a value of "100", and another attribute with the tag "B" and the value of "200". To clarify; I'm not interested in replacing attribute values, but rather changing attribute tag names. Hope this is comprehensible to someone, and maybe even achievable.
  15. i would like to know how to scale a block posted below i would like to be able to have a drag feature that makes the block bigger in the x axis only this will also scale the spline in the middle of the block in the x axis only. M0213.dwg
  16. Hi all! I am trying to accomplish a specific task, one that requires exporting information from CAD to excel. Fixo's DX (dimension export) LISP is a pretty good start, but I am trying to add some features to the command. Currently, the command writes the exported information vertically in columns. I am hoping to have the information run across the page in a long row. I also would like to be able to select a dimension, then select a block and have the information written to the sheet. If I don't select a dimension immediately after a dimension, I want to skip a cell in excel. See attached diagrams for the result I am after. Basically I want to select the dims and blocks down the line ... And have the output to show something like this (not requiring the headings, just the data in row 2 is enough) I would also like the command to write the information to a particular excel file, one named "Dimensions and blocks.xlsx" that sits in the folder above the current dwg file if possible. Fixo's currently writes to a new blank workbook each time the command is run. Thanks all for the help!
  17. Hi! I have a drawing with mixed points and blocks. Area is huge and I really can't work. I have an idea to replace all the blocks with points, hope it will reduce a bit size of the drawing. Could you help me with that? Uncle Google couldn't help me with it unfortunately... Simply - have to replace large ammount of blocks (two lines crossed with level in the central point) with points. Many thanks!
  18. I have found lips routines that will list the blocks used in a drawing, show the number of blocks in a drawing, however, I need a lisp routine to list the xy coordinate of each block that has been inserted in a drawing and preferably write this both to an excel and text file.
  19. Is it possible to restrict a move parameter in a block to one of 3 locations? The Cover Sheet Title block we use has 3 options for what a plan set is. The options are listed one below the other with blank ovals to the left of each option, similar to below. o Progress Set o Final Construction o AsBuilt I created a solid hatch, then used a point parameter and move action so that you "fill in" the oval of the correct plan option. The hatch is movable, but it moves anywhere you put your mouse. This works fine, but it would be even better if it could only move from one oval to another instead of all over the place. Any help is greatly appreciated and thanks in advance for any advice.
  20. Hi, i am no autolisper, and i am having trouble to adapt this excellent lisp made by Tharwat to my use... My problem is with the attributes upon insertion, after the command, no attribute appear on the drawing. I will not post my attempts on doing so, (for they are really messy...) but the original code and the description of what i inttend to do. My block has 3 attribs, ID, KM and M. ID must be prompted by user upon inserction; KM must be taken from the lwspline length (variable l), i.e.: if swpline is 350120,00 m long, then KM is 350, if swpline is 120,00m long, then KM is 000; M must be treated the same way as KM, but in 350120,00, M is 120 and so on... The text output format on the drawing is "km 350+120" Test.lsp [ATTACH]58954[/ATTACH]
  21. Hi: Here I can read ... Forum: Blocks, Images, Models & Materials. So, may I put here the link to a new page CAD blocks. Currently it is 99% free?
  22. Hi all, I'm trying to edit attributes in a block - about a hundred of them. I'm using ATTSYNC, but when I choose the block, the error"the selected block has no attributes". I look in the properties window and it lists it as a "block reference". I've tried BEDIT, but when I click it - no attributes show. So, I'm curious if this "block" was created in some different fashion? Weird, that this has not come up before. Many thx
  23. Hello, I am trying to create a dynamic block that shows a spiral conveyor in several different configurations. I have text that needs to be able to be turned off and on. I had it working until I added a flip function. Now the text won't turn off and you have to select the "Angle" twice to get it to change to the next configuration. I have "LookUps" for the angle and direction, and for the text visibility. I've tried every configuration I can think of. Not sure what I'm doing wrong. Any suggestions? I've included the file. Spiral - 19.5'' BF Ascending.dwg
  24. someone can help me with a lisp that can evenly distribute blocks. attached an image where the value of "x" must be equal. the idea is that you can change at any time the value of "x" so they can see more or less adjusted according to whatever you want. Deputy dwg. PDTA: research found a lisp teacher Lee Mac, but when you run the lisp then have to update the attributes of each block to return to his position; also they are not exactly the same distance. associate the lisp "eqsp" - "Lee Mac".blocks_distribution.dwg eqsp.lsp
  25. First off KUDOS to Tharwat for this brilliant LISP. Can someone edit so its doesnt prompt user for Suffix.. I want the suffix to be -NEW all the time. Also for the block selection I would just like for the lisp to select all everytime. Will be running this on a folder of specific individual blocks. I did in fact try, I just havent succeeded yet thanks. (defun c:RenBlks (/ Blocks *error* cm r ss int sn sfx kw bks nam) (vl-load-com) ;;; Tharwat 31. Oct. 2012 ;;; ;;; Rename selected or All Blocks as User's inputs ;;; (or acdoc (setq acdoc (vla-get-activedocument (vlax-get-acad-object)))) (setq Blocks (vla-get-blocks acdoc)) (setq cm (getvar 'cmdecho)) (defun *error* (x) (if cm (setvar 'cmdecho cm) ) (vla-EndUndoMark acdoc) (princ "\n") (princ "\n *Cancel*:") ) (if (and (not (eq (setq sfx (getstring t "\n Specify Suffix :")) "")) (setq r (snvalid sfx)) (progn (initget "Selected All") (setq kw (cond ((getkword "\n Rename [selected . All] Blocks < Selected > :")) ("Selected") ) ) ) ) (if (eq kw "All") (progn (vla-StartUndoMark acdoc) (vlax-for x Blocks (vl-catch-all-apply 'vla-put-name (list x (strcat (vla-get-name x) sfx)))) (vla-EndUndoMark acdoc) ) (if (setq ss (ssget "_:L" '((0 . "INSERT")))) (progn (vla-StartUndoMark acdoc) (setvar 'cmdecho 0) (repeat (setq int (sslength ss)) (setq sn (ssname ss (setq int (1- int)))) (setq nam (cdr (assoc 2 (entget sn)))) (if (not (member nam bks)) (progn (vl-cmdf "_.-rename" "B" nam (setq nam (strcat nam sfx))) (setq bks (cons nam bks))) ) ) (vla-EndUndoMark acdoc) (setvar 'cmdecho cm) ) ) ) (cond ((not sfx) (princ "\n Cancelled by user ")) ((not r) (princ "\n Not Valid Block name ")) (t (princ "\n Cancelled by user ")) ) ) (princ "\n Written by Tharwat Al Shoufi") (princ) )
×